clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::SymbolDetails Struct Reference

Represents information about identifier. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SymbolDetails:
[legend]

## Public Attributes
std::string | name
std::string | containerName
std::string | USR
| Unified Symbol Resolution identifier This is an opaque string uniquely identifying a symbol. More...
llvm::Optional< SymbolID > | ID

## Detailed Description

Represents information about identifier.

This is returned from textDocument/symbolInfo, which is a clangd extension.

Definition at line 739 of file Protocol.h.

## Member Data Documentation

## ◆ containerName

std::string clang::clangd::SymbolDetails::containerName

Definition at line 742 of file Protocol.h.

Referenced by clang::clangd::operator<<(), clang::clangd::operator==(), and clang::clangd::toJSON().

## ◆ ID

llvm::Optional<SymbolID> clang::clangd::SymbolDetails::ID

Definition at line 751 of file Protocol.h.

Referenced by clang::clangd::operator==(), and clang::clangd::toJSON().

## ◆ name

std::string clang::clangd::SymbolDetails::name

Definition at line 740 of file Protocol.h.

Referenced by clang::clangd::operator<<(), clang::clangd::operator==(), and clang::clangd::toJSON().

## ◆ USR

std::string clang::clangd::SymbolDetails::USR

Unified Symbol Resolution identifier This is an opaque string uniquely identifying a symbol.

Unlike SymbolID, it is variable-length and somewhat human-readable. It is a common representation across several clang tools. (See USRGeneration.h)

Definition at line 749 of file Protocol.h.

Referenced by clang::clangd::operator==(), and clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h